Skip to main content
`Ctrl`+`K`

# STGetSplitPreconditionerInfo

Returns the number of matrices of the split preconditioner, as well as the structure flag.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STGetSplitPreconditionerInfo(ST st,PetscInt *n,MatStructure *strp)

Not Collective

## Input Parameter

- st - the spectral transformation context

## Output Parameters

- n - the number of matrices passed in `STSetSplitPreconditioner()`

- strp - the matrix structure flag passed in `STSetSplitPreconditioner()`

## See Also

ST: Spectral Transformation, `STSetSplitPreconditioner()`, `STGetSplitPreconditionerTerm()`

## Level

advanced

## Location

src/sys/classes/st/interface/stfunc.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages